#!/usr/bin/env js
// readline() from:
// https://stackoverflow.com/questions/4508897/console-input-function-for-rhino

// 次のreadline()関数を、入力を使いたいプログラムに書いておく。
function readline() {
    var ist = new java.io.InputStreamReader(java.lang.System.in);
    var bre = new java.io.BufferedReader(ist);
    var line = bre.readLine();
    return line;
}
// 定義例ここまで。以下使用例。

let str;
while (true) {
    write("一言どうぞ(C-dで終了): ");
    str=readline();
    if (!str) break;	// C-dでEOFとなって null が返る
    print(`${str} だなんて素敵な言葉!`);
}
